Videos
curl --request GET \
--url 'https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/videos?%7B%7Bkey%7D%7D='import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/videos?%7B%7Bkey%7D%7D="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/episode/{episode_number}/videos?%7B%7Bkey%7D%7D=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 334432,
"results": [
{
"id": "58f0ac5c92514125c600f632",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "A3Y1G9C0mxQ",
"name": "Kate's first crime scene \"Hung out to dry\" 1x02",
"official": false,
"published_at": "2016-04-09T13:39:22.000Z",
"site": "YouTube",
"size": 720,
"type": "Clip"
},
{
"id": "58f0ae1ac3a3686b3f00dded",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "f5zYbggfQ0o",
"name": "Song by Dashboard Confessional @ NCIS (English)",
"official": false,
"published_at": "2010-02-22T14:37:39.000Z",
"site": "YouTube",
"size": 720,
"type": "Clip"
},
{
"id": "58f0ac4892514125ad00fcd8",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "NzB_cPceImM",
"name": "NCIS Hung Out To Dry",
"official": false,
"published_at": "2007-04-08T23:03:17.000Z",
"site": "YouTube",
"size": 720,
"type": "Clip"
}
]
}TV Episodes
Videos
This endpoint is used to get the videos that belong to a TV episode.
GET
/
3
/
tv
/
{series_id}
/
season
/
{season_number}
/
episode
/
{episode_number}
/
videos
Videos
Authorizations
Path Parameters
integer
Example:
"4614"
integer
Example:
"1"
integer
Example:
"2"
Response
200 - application/json
OK
Example:
334432
Show child attributes
Show child attributes
Example:
[
{
"id": "58f0ac5c92514125c600f632",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "A3Y1G9C0mxQ",
"name": "Kate's first crime scene \"Hung out to dry\" 1x02",
"official": false,
"published_at": "2016-04-09T13:39:22.000Z",
"site": "YouTube",
"size": 720,
"type": "Clip"
},
{
"id": "58f0ae1ac3a3686b3f00dded",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "f5zYbggfQ0o",
"name": "Song by Dashboard Confessional @ NCIS (English)",
"official": false,
"published_at": "2010-02-22T14:37:39.000Z",
"site": "YouTube",
"size": 720,
"type": "Clip"
},
{
"id": "58f0ac4892514125ad00fcd8",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "NzB_cPceImM",
"name": "NCIS Hung Out To Dry",
"official": false,
"published_at": "2007-04-08T23:03:17.000Z",
"site": "YouTube",
"size": 720,
"type": "Clip"
}
]
Was this page helpful?
⌘I